#!/bin/bash
echo "Обновление домена удалённого репозитория в перекрёстных ссылках в описаниях."
remote="git.org.ru" && source info_param.sh
cd ../.. # выходим из папки и из репозитория
# обходим все репозитории, расположенные на одном уровне с текущим
find . -type f -name 'README*.md' | sort -r | while read -r file; do
  echo "$remote => $file"
  # заменяем git.org.ru => hub.mos.ru => иначе наоборот
  if [ "$remote" == "hub.mos.ru" ]; then
    sed -i 's/git\.org\.ru/hub\.mos\.ru/g' "$file"
    sed -i 's/GIT\.ORG\.RU/HUB\.MOS\.RU/g' "$file"
    sed -i 's/src\/branch/blob/g' "$file"
  else
    sed -i 's/hub\.mos\.ru/git\.org\.ru/g' "$file"
    sed -i 's/HUB\.MOS\.RU/GIT\.ORG\.RU/g' "$file"
    sed -i 's/blob/src\/branch/g' "$file"
  fi
done
